'use strict'

var angular = require('angular');
var controllers = require('./controllers');

/* SERVICE DECLARATION TEMPLATE

angular.module('rando.custom').directive('nameOfYourDirective', function () {
    return {
        restrict: 'EAC',
        replace: true,
        scope: true,
        template: require('./templates/your-custom-template-name.html'),
        controller: NameOfYourCustomController
    };
});

/!\ the name of the module must be 'rando.custom', otherwise you'll get an error of a non existing module.

HINT: You can declare as many directives as you whish
HINT2: When you call a directive in a template, nameOfYourDirective become name-of-your-directive. In short, every Maj letter must be replace by - and the min version of the letter.

*/


angular.module('rando.custom').directive('homeVideo', function () {
    return {
        restrict: 'EAC',
        replace: true,
        template: require('./templates/custom-home-video.html'),
        controller: controllers.HomeVideoController
    };
});

angular.module('rando.custom').directive('homeFeed', function () {
    return {
        restrict: 'EAC',
        replace: true,
        template: require('./templates/custom-home-feed.html'),
        controller: controllers.HomeFeedController
    };
});